### Method

# Fwupd Device set_protocol

deprecated: 1.5.8 since: 1.3.6

#### Declaration [src]

    void
    fwupd_device_set_protocol (
      FwupdDevice* self,
      const gchar* protocol
    )

#### Description [src]

Sets the protocol name that is used to update the device.

Available since: 1.3.6

Deprecated since: 1.5.8

Use `fwupd_device_add_protocol()` instead.

Sets property | `Fwupd.Device:protocol`

#### Parameters

`protocol`

  Type: `const gchar*`

  The protocol name, e.g. `com.hughski.colorhug`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.